Message Helpers
Eldbus » Message

## Typedefs

typedef void(* | Eldbus_Dict_Cb_Get) (void *data, const void *key, Eldbus_Message_Iter *var)
| Callback used when iterating over a dictionary.

## Functions

void | eldbus_message_iter_dict_iterate (Eldbus_Message_Iter *dict, const char *signature, Eldbus_Dict_Cb_Get cb, const void *data)
| Iterate over a dictionary.

## Detailed Description

## Typedef Documentation

## Eldbus_Dict_Cb_Get

typedef void(* Eldbus_Dict_Cb_Get) (void *data, const void *key, Eldbus_Message_Iter *var)

Callback used when iterating over a dictionary.

It is called at each entry iteration.

Parameters

  data | Context data passed to the callback.
  key | Key parameter.
  var | A message iterator on the current entry.

## Function Documentation

## eldbus_message_iter_dict_iterate()

void eldbus_message_iter_dict_iterate | ( | Eldbus_Message_Iter * | dict,
|  | const char * | signature,
|  | Eldbus_Dict_Cb_Get | cb,
|  | const void * | data )

Iterate over a dictionary.

Parameters

  dict | iterator with array of entry
  signature | of entry, example: "sv"
  cb | callback that will be called in each entry
  data | context data

References EINA_SAFETY_ON_FALSE_RETURN, EINA_SAFETY_ON_NULL_RETURN, eldbus_message_iter_arguments_get(), eldbus_message_iter_get_and_next(), eldbus_message_iter_signature_get(), and ERR.